# $Id: musicman.spec,v 1.13 2003/12/04 17:30:36 rexdieter Exp $

# Hack around broken KDevelop/makefiles
%define mlib %{_libdir}/kde3

Summary: A Konqueror plugin for music files (MP3, Ogg, Wav) management
Name: 	 musicman
Epoch:	 0
Version: 0.12
Release: 1%{?dist_tag}
URL:	 http://musicman.sourceforge.net/
Source:  http://dl.sourceforge.net/sourceforge/musicman/musicman-0.12.tar.gz
Group:	 Applications/Multimedia
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


BuildRequires: automake17
BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel )
Requires: qt >= 1:%{qt_ver}
BuildRequires: kdebase-devel >= 6:3.3
%define kdebase_ver %(rpm -q --qf '%%{version}' kdebase-devel )
Requires: kdebase >= 6:%{kdebase_ver}


%description
A Konqueror plugin that lets you set ID3 in mass, create MP3 CD covers, 
HTML indexes, organize your music files, etc.


%prep
%setup -q -n %{name} 


%build
%configure \
  --libdir=%{mlib} \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-debug --disable-warnings --disable-dependency-tracking }

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Categories=Qt;KDE;X-KDE-settings-sound;

# Post make-install ad-hocs for standarization. KDevelop couldn't install in the correct place.
MLIB=$RPM_BUILD_ROOT%{mlib}
mv $MLIB/libkcm_musicman.so.0.0.0 $MLIB/kcm_musicman.so
# Rename and fix the .la file. Specially in the dlname= and library_names= lines
sed -e 's|libkcm|kcm|g; s|so\.0|so|g' < $MLIB/libkcm_musicman.la > $MLIB/kcm_musicman.la
rm $MLIB/libkcm_musicman*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,0755)
%{mlib}/*musicman*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/musicman
%{_datadir}/icons/*/*/apps/*
%{_datadir}/services/musicman.desktop


%changelog
* Fri Apr 22 2005 Rex Dieter 0:0.12-1
- 0.12

* Wed Nov 17 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11-0.fdr.1
- BR: automake17
- fc3

* Mon Apr 26 2004 Rex Dieter <rexdieter at sf.net> 0:0.11-0.fdr.0
- 0.11

* Thu Dec 04 2003 Rex Dieter <rexdieter at sf.net> 0:0.9-0.fdr.0
- 0.9

* Sun Oct 19 2003 Rex Dieter <rexdieter at sf.net> 0:0.8.5-0.fdr.2
- fix permissions

* Sat Oct 18 2003 Rex Dieter <rexdieter at sf.net> 0:0.8.5-0.fdr.1
- first try
